Loading...
Searching...
No Matches
Dune::PromotionTraits< T1, T2 > Struct Template Reference
Common

Compute type of the result of an arithmetic operation involving two different number types. More...

`#include <dune/common/promotiontraits.hh>`

Inheritance diagram for Dune::PromotionTraits< T1, T2 >:

## Public Types

typedef decltype(std::declval< T1 >()+std::declval< T2 >()) | PromotedType

## Detailed Description

template<typename T1, typename T2>
struct Dune::PromotionTraits< T1, T2 >

Compute type of the result of an arithmetic operation involving two different number types.

## Member Typedef Documentation

## PromotedType

template<typename T1, typename T2>

typedef decltype(std::declval<T1>()+std::declval<T2>()) Dune::PromotionTraits< T1, T2 >::PromotedType

The documentation for this struct was generated from the following file:

- promotiontraits.hh